## org.apache.xalan.xsltc.runtime
Class Parameter

    java.lang.Object
      org.apache.xalan.xsltc.runtime.Parameter

    public class Parameter

extends java.lang.Object

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen, Morten Jorgensen

Field Summary
`boolean` `_isDefault`
`java.lang.String` `_name`
`java.lang.Object` `_value`

Constructor Summary
`Parameter(java.lang.String name, java.lang.Object value)`
`Parameter(java.lang.String name, java.lang.Object value, boolean isDefault)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    public java.lang.String _name

### _value

    public java.lang.Object _value

### _isDefault

    public boolean _isDefault

Constructor Detail

### Parameter

    public Parameter(java.lang.String name,
                     java.lang.Object value)

### Parameter

    public Parameter(java.lang.String name,
                     java.lang.Object value,
                     boolean isDefault)

Copyright © 2005 Apache XML Project. All Rights Reserved.